# Class RichPureEditor

java.lang.Object
com.codename1.ui.editor.PureEditor
com.codename1.ui.editor.RichPureEditor

public class RichPureEditor extends PureEditor
The pure rich text editor backend. It maps the `RichTextArea` command / query vocabulary onto a `RichView`, converting the HTML exchanged with the application to and from the editor's inline / block model.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RichPureEditor(EditorHost host, String editorType)`
  Creates a rich text editor backend.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cmd(String name, String arg)`
  Executes a one way command.
  `protected EditorView`
  `createView(EditorHost host, boolean codeMode)`
  Creates the editor view.
  `String`
  `query(String name, String arg)`
  Executes a query returning a string result.

  ### Methods inherited from class PureEditor

  `getView, isCodeMode, view`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RichPureEditor

    public RichPureEditor(EditorHost host, String editorType)
    Creates a rich text editor backend.

- ## Method Details

  - ### createView

    protected EditorView createView(EditorHost host, boolean codeMode)
    Description copied from class: `PureEditor`
    Creates the editor view. Subclasses override to supply a code or rich text view.
    Overrides:
      `createView` in class `PureEditor`

  - ### cmd

    public void cmd(String name, String arg)
    Description copied from class: `PureEditor`

    Executes a one way command. Unknown commands are ignored so subclasses can add vocabulary without breaking the base.

    ###### Parameters

    - `name`: the command name

    - `arg`: the optional argument, may be null

    Overrides:
      `cmd` in class `PureEditor`

  - ### query

    public String query(String name, String arg)
    Description copied from class: `PureEditor`

    Executes a query returning a string result. Unknown queries return an empty string.

    ###### Parameters

    - `name`: the query name

    - `arg`: the optional argument, may be null

    Overrides:
      `query` in class `PureEditor`